For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generic Update

Add generic_update

post
/generic_update/

This api is used to sync contact persons with WorkorderApp. A contact person should always be related to a certain client. cpn_code is used as a unique reference to either insert or update the address. Each address record can contain the following data:

Parameter
Description
Required
Type (size)

cpn_debtor_nr

Debtor number of the relation

Y

Varchar (255)

cpn_code

Unique code of the contact person. Used as reference in the workorder.

Y

Varchar (255)

cpn_name

Name of the contact person.

Y

Varchar (255)

cpn_phone

Phone of the contact person.

N

Varchar (255)

cpn_email

Email of the contact person.

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Add generic_update

application/json
post/generic_update/
POST /generic_update/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Add generic_update

{
  "code": 200,
  "messages": [],
  "response": [
    0,
    0,
    0,
    -1,
    0
  ]
}

Last updated

Was this helpful?